emacs-23.1-28.el6.x86_64.rpm


Advertisement

Description

emacs - GNU Emacs text editor

Property Value
Distribution CentOS 6
Repository CentOS x86_64
Package filename emacs-23.1-28.el6.x86_64.rpm
Package name emacs
Package version 23.1
Package release 28.el6
Package architecture x86_64
Package type rpm
Category Applications/Editors
Homepage http://www.gnu.org/software/emacs/
License GPLv3+
Maintainer -
Download size 2.22 MB
Installed size 10.57 MB
Emacs is a powerful, customizable, self-documenting, modeless text
editor. Emacs contains special code editing features, a scripting
language (elisp), and the capability to read mail, news, and more
without leaving the editor.
This package provides an emacs binary with support for X windows.

Alternatives

Package Version Architecture Repository
emacs-23.1-28.el6.i686.rpm 23.1 i686 CentOS
emacs - - -

Requires

Name Value
desktop-file-utils -
emacs-common = 23.1-28.el6
libICE.so.6()(64bit) -
libSM.so.6()(64bit) -
libX11.so.6()(64bit) -
libXft.so.2()(64bit) -
libXpm.so.4()(64bit) -
libXrender.so.1()(64bit) -
libasound.so.2()(64bit) -
libasound.so.2(ALSA_0.9)(64bit) -
libasound.so.2(ALSA_0.9.0rc4)(64bit) -
libatk-1.0.so.0()(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libcairo.so.2()(64bit) -
libdbus-1.so.3()(64bit) -
libfontconfig.so.1()(64bit) -
libfreetype.so.6()(64bit) -
libgdk-x11-2.0.so.0()(64bit) -
libgdk_pixbuf-2.0.so.0()(64bit) -
libgif.so.4()(64bit) -
libgio-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgmodule-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgthread-2.0.so.0()(64bit) -
libgtk-x11-2.0.so.0()(64bit) -
libjpeg.so.62()(64bit) -
libjpeg.so.62(LIBJPEG_6.2)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libm17n-core.so.0()(64bit) -
libm17n-flt.so.0()(64bit) -
libncurses.so.5()(64bit) -
libotf.so.0()(64bit) -
libpango-1.0.so.0()(64bit) -
libpangocairo-1.0.so.0()(64bit) -
libpangoft2-1.0.so.0()(64bit) -
libpng12.so.0()(64bit) -
libpng12.so.0(PNG12_0)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
librsvg-2.so.2()(64bit) -
librsvg2 -
librt.so.1()(64bit) -
libtiff.so.3()(64bit) -
libtinfo.so.5()(64bit) -
libz.so.1()(64bit) -
m17n-db-datafiles -
rtld(GNU_HASH) -

Provides

Name Value
emacs = 23.1-28.el6
emacs(bin) -
emacs(x86-64) = 23.1-28.el6
mimehandler(application/x-shellscript) -
mimehandler(text/english) -
mimehandler(text/plain) -
mimehandler(text/x-c) -
mimehandler(text/x-c++) -
mimehandler(text/x-c++hdr) -
mimehandler(text/x-c++src) -
mimehandler(text/x-chdr) -
mimehandler(text/x-csrc) -
mimehandler(text/x-java) -
mimehandler(text/x-makefile) -
mimehandler(text/x-moc) -
mimehandler(text/x-pascal) -
mimehandler(text/x-tcl) -
mimehandler(text/x-tex) -

Conflicts

Name Value
gettext < 0.10.40

Download

Type URL
Mirror mirror.centos.org
Binary Package emacs-23.1-28.el6.x86_64.rpm
Source Package emacs-23.1-28.el6.src.rpm

Install Howto

Install emacs rpm package:

# yum install emacs

Files

Path
/usr/bin/emacs-23.1
/usr/libexec/emacs/
/usr/libexec/emacs/23.1/
/usr/libexec/emacs/23.1/x86_64-redhat-linux-gnu/
/usr/share/applications/emacs.desktop
/usr/share/icons/hicolor/128x128/apps/emacs.png
/usr/share/icons/hicolor/16x16/apps/emacs.png
/usr/share/icons/hicolor/16x16/apps/emacs22.png
/usr/share/icons/hicolor/24x24/apps/emacs.png
/usr/share/icons/hicolor/24x24/apps/emacs22.png
/usr/share/icons/hicolor/32x32/apps/emacs.png
/usr/share/icons/hicolor/32x32/apps/emacs22.png
/usr/share/icons/hicolor/48x48/apps/emacs.png
/usr/share/icons/hicolor/48x48/apps/emacs22.png
/usr/share/icons/hicolor/scalable/apps/emacs.svg
/usr/share/icons/hicolor/scalable/mimetypes/emacs-document.svg

Changelog

2014-11-27 - Petr Hracek <phracek@redhat.com> - 1:23.1-28
- Remove etc/emacs3.py script
Related: #852516
2014-11-26 - Petr Hracek <phracek@redhat.com> - 1:23.1-27
- Disable memory warnings
Resolves: #852516
2014-11-26 - Petr Hracek <phracek@redhat.com> - 1:23.1-26
- Segfault in get_glyph_face_and_encoding
Resolves: #986989
2013-05-07 - Petr Hracek <phracek@redhat.com> - 1:23.1-25
- Lucida Typewriter and Console fonts not selectable
- Resolves: #678225
2012-02-27 - Karel Klíč <kklic@redhat.com> - 1:23.1-24
- Remove an unpatched file as all files in the textmodes directory are installed
Related: #713600
2012-02-21 - Karel Klíč <kklic@redhat.com> - 1:23.1-23
- Use hunspell as default ispell program
Resolves: #713600
2011-12-21 - Karel Klíč <kklic@redhat.com> - 1:23.1-22
- Remove check for last terminal
Resolves: #732157
2011-02-02 - Karel Klic <kklic@redhat.com> 1:23.1-21
- Added jis2004 patch to prefer non-JIS X 0213:2004 compliant fonts
for Japanese texts (IPA fonts are counted as JIS X 0213:2004
compliant)
Resolves: #612385
- Removed dependency on aspell and hunspell
Resolves: #613759
2010-06-21 - Karel Klic <kklic@redhat.com> 1:23.1-20
- Changed default font size from 12pt to 10pt
Resolves: #595899
2010-06-21 - Karel Klic <kklic@redhat.com> 1:23.1-19
- Fixed handling of dual spacing fonts
Resolves: #592408

See Also

Package Description
emacs-a2ps-4.14-13.el6.x86_64.rpm Emacs bindings for a2ps files
emacs-a2ps-el-4.14-13.el6.x86_64.rpm Elisp source files for emacs-a2ps under GNU Emacs
emacs-anthy-9100h-10.1.el6.noarch.rpm Compiled elisp files to run Anthy under GNU Emacs
emacs-anthy-el-9100h-10.1.el6.noarch.rpm Elisp source files for Anthy under GNU Emacs
emacs-auctex-11.85-10.el6.noarch.rpm Enhanced TeX modes for Emacs
emacs-auctex-doc-11.85-10.el6.noarch.rpm Documentation in various formats for AUCTeX
emacs-auctex-el-11.85-10.el6.noarch.rpm Elisp source files for emacs-auctex
emacs-common-23.1-28.el6.x86_64.rpm Emacs common files
emacs-el-23.1-28.el6.x86_64.rpm Emacs Lisp source files included with Emacs
emacs-git-1.7.1-9.el6_9.noarch.rpm Git version control system support for Emacs
emacs-git-el-1.7.1-9.el6_9.noarch.rpm Elisp source files for git version control system support for Emacs
emacs-gnuplot-4.2.6-2.el6.x86_64.rpm Emacs bindings for the gnuplot main application
emacs-gnuplot-el-4.2.6-2.el6.x86_64.rpm Emacs bindings for the gnuplot main application
emacs-mercurial-1.4-5.el6_9.x86_64.rpm Mercurial version control system support for Emacs
emacs-mercurial-el-1.4-5.el6_9.x86_64.rpm Elisp source files for mercurial under GNU Emacs
Advertisement
Advertisement